Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1298711 - [abrt] kwin-wayland: QScreen::handle() const(): kwin_wayland killed by SIGSEGV
Summary: [abrt] kwin-wayland: QScreen::handle() const(): kwin_wayland killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: qt5-qtbase
Version: 23
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Daniel Vrátil
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:b7d22f372d6189a70d4414bfc8f...
Depends On:
Blocks: KDEWaylandRelated
TreeView+ depends on / blocked
 
Reported: 2016-01-14 19:09 UTC by Christian Stadelmann
Modified: 2016-12-20 17:54 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 17:54:08 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
File: backtrace (deleted)
2016-01-14 19:09 UTC, Christian Stadelmann
no flags Details
File: core_backtrace (deleted)
2016-01-14 19:09 UTC, Christian Stadelmann
no flags Details
File: dso_list (deleted)
2016-01-14 19:09 UTC, Christian Stadelmann
no flags Details
File: exploitable (deleted)
2016-01-14 19:09 UTC, Christian Stadelmann
no flags Details
File: limits (deleted)
2016-01-14 19:09 UTC, Christian Stadelmann
no flags Details
File: maps (deleted)
2016-01-14 19:10 UTC, Christian Stadelmann
no flags Details
File: namespaces (deleted)
2016-01-14 19:10 UTC, Christian Stadelmann
no flags Details
File: open_fds (deleted)
2016-01-14 19:10 UTC, Christian Stadelmann
no flags Details
File: proc_pid_status (deleted)
2016-01-14 19:10 UTC, Christian Stadelmann
no flags Details

Description Christian Stadelmann 2016-01-14 19:09:45 UTC
Description of problem:
I tried to run `dbus-launch --exit-with-session /usr/bin/startplasmacompositor` from a tty. It immediately crashed. This is a regression in Qt 5.6.0 to Qt 5.5.1. I didn't change anything else.

Version-Release number of selected component:
kwin-wayland-5.5.3-1.fc23

Additional info:
reporter:       libreport-2.6.3
backtrace_rating: 4
cmdline:        /usr/bin/kwin_wayland --xwayland --libinput --exit-with-session=/usr/libexec/startplasma
crash_function: QScreen::handle() const
executable:     /usr/bin/kwin_wayland
kernel:         4.3.3-300.fc23.x86_64
runlevel:       N 5
type:           CCpp

Truncated backtrace:
Thread no. 1 (9 frames)
 #0 QScreen::handle() const at kernel/qscreen.cpp:139
 #1 QHighDpiScaling::updateHighDpiScaling() at kernel/qhighdpiscaling.cpp:305
 #2 QCoreApplication::init() at kernel/qcoreapplication.cpp:821
 #3 QCoreApplication::QCoreApplication(QCoreApplicationPrivate&) at kernel/qcoreapplication.cpp:703
 #4 QGuiApplication::QGuiApplication(QGuiApplicationPrivate&) at kernel/qguiapplication.cpp:573
 #5 QApplication::QApplication(int&, char**, int) at kernel/qapplication.cpp:561
 #6 KWin::Application::Application(KWin::Application::OperationMode, int&, char**) at ../main.cpp:153
 #7 KWin::ApplicationWayland::ApplicationWayland(int&, char**) at ../main_wayland.cpp:72
 #8 main(int, char**) at ../main_wayland.cpp:416

Comment 1 Christian Stadelmann 2016-01-14 19:09:51 UTC
Created attachment 1114926 [details]
File: backtrace

Comment 2 Christian Stadelmann 2016-01-14 19:09:53 UTC
Created attachment 1114927 [details]
File: core_backtrace

Comment 3 Christian Stadelmann 2016-01-14 19:09:55 UTC
Created attachment 1114928 [details]
File: dso_list

Comment 4 Christian Stadelmann 2016-01-14 19:09:56 UTC
Created attachment 1114929 [details]
File: exploitable

Comment 5 Christian Stadelmann 2016-01-14 19:09:58 UTC
Created attachment 1114930 [details]
File: limits

Comment 6 Christian Stadelmann 2016-01-14 19:10:00 UTC
Created attachment 1114931 [details]
File: maps

Comment 7 Christian Stadelmann 2016-01-14 19:10:01 UTC
Created attachment 1114932 [details]
File: namespaces

Comment 8 Christian Stadelmann 2016-01-14 19:10:03 UTC
Created attachment 1114933 [details]
File: open_fds

Comment 9 Christian Stadelmann 2016-01-14 19:10:04 UTC
Created attachment 1114934 [details]
File: proc_pid_status

Comment 10 Fedora End Of Life 2016-11-24 14:57:04 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 11 Fedora End Of Life 2016-12-20 17:54:08 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.